File fix-configure.dpatch.diff of Package xindy

--- xindy-2.4~pre1.orig/debian/patches/fix-configure.dpatch
+++ xindy-2.4~pre1/debian/patches/fix-configure.dpatch
@@ -0,0 +1,50 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## fix-configure.dpatch by Jörg Sommer <joerg@alea.gnuu.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: The grouping of the check for latex and pdflatex is not correct,
+## DP: which causes configure failes with --disable-make-rules and
+## DP: --disable-docs. This patch is only a ugly workaround. A better
+## DP: patch was send upstream.
+
+@DPATCH@
+
+diff --git a/configure b/configure
+--- a/configure
++++ b/configure
+@@ -2286,7 +2286,7 @@ else
+   BUILDRULES=yes
+ fi
+ 
+-test "$BUILDRULES" = "yes"  &&
++test "$BUILDRULES" = "yes"  && {
+ for ac_prog in latex elatex lambda
+ do
+   # Extract the first word of "$ac_prog", so it can be a program name with args.
+@@ -2337,7 +2337,7 @@ then
+ $as_echo "$as_me: error: Unable to find a LaTeX application" >&2;}
+    { (exit 1); exit 1; }; };
+ fi
+-
++}
+ 
+  if test "$BUILDRULES" = "yes"; then
+   BUILDRULES_TRUE=
+@@ -2356,7 +2356,7 @@ else
+   BUILDDOCS=yes
+ fi
+ 
+-test "$BUILDDOCS" = "yes"  &&
++test "$BUILDDOCS" = "yes"  && {
+ for ac_prog in pdflatex
+ do
+   # Extract the first word of "$ac_prog", so it can be a program name with args.
+@@ -2407,7 +2407,7 @@ then
+ $as_echo "$as_me: error: Unable to find a PDFLaTeX application" >&2;}
+    { (exit 1); exit 1; }; };
+ fi
+-
++}
+ 
+  if test "$BUILDDOCS" = "yes"; then
+   BUILDDOCS_TRUE=